src: |
  SELECT 'PR'::text || t_provenances_entree.code::text AS code,
          CASE
              WHEN t_provenances_entree.code <> ''::bpchar THEN (t_provenances_entree.code::text || ' - '::text) || t_provenances_entree.texte
              ELSE 'Non saisi'::text
          END AS texte,
          CASE
              WHEN t_provenances_entree.code <> ''::bpchar THEN (t_provenances_entree.code::text || ' - '::text) || t_provenances_entree.texte_court
              ELSE 'Non saisi'::text
          END AS texte_court
     FROM base.t_provenances_entree
  UNION ALL
   SELECT 'PX'::text || t_provenances_entree.code::text AS code,
          CASE
              WHEN t_provenances_entree.code <> ''::bpchar THEN ((('SAUF '::text || t_provenances_entree.texte) || ' ('::text) || t_provenances_entree.code::text) || ')'::text
              ELSE 'SAUF Non saisi'::text
          END AS texte,
          CASE
              WHEN t_provenances_entree.code <> ''::bpchar THEN ((('SAUF '::text || t_provenances_entree.texte_court) || ' ('::text) || t_provenances_entree.code::text) || ')'::text
              ELSE 'SAUF Non saisi'::text
          END AS texte_court
     FROM base.t_provenances_entree
    ORDER BY 1;